html, body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #121212;
    color: #e0e0e0;
    box-sizing: border-box;
}

h1, h2, p {
    margin: 0 0 10px;
    color: #e0e0e0;
}


.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
}


.logo-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    line-height: 1.2;
    padding-top: 20px;
}

.logo {
    font-size: 40px;
    font-family: sans-serif;
    background-image: linear-gradient(45deg, #228eeb, #da00ff, #6baae1);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-transform: uppercase;
	text-decoration:none;
}


@media (max-width: 768px) {
    .logo {
        font-size: 30px;
    }
}

.tagline {
    font-size: 18px;
    margin: 0;
    color: #b0bec5;
}



.wonder_links_container {
    align-items: center;
    text-align: center;
}


@media (max-width: 768px) {

    /*.wonder_links_container {
        width: 80%;
    }*/

}



.div_wonder_links {
    padding-top: 20px;
}

.wonder_links {
    font-size: 24px;
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #d463e7;
}


.my_wonder_heart {
    color: #d463e7;
    margin-right: 5px;
}

/*.wonder_link_expires {
        clear: both;
        font-size: 14px;
        color: #888b88;
        margin-top: 10px;
        margin-bottom: 10px;
        padding-left:10%;
    }*/


.update_date_info {
    clear: both;
    font-size: 14px;
    color: #888b88;
    margin-top: 10px;
    margin-bottom: 10px;
    padding-left: 10%;
}


.sp_wonder_title {
    display: inline-block
}


@media (max-width: 768px) {
    .sp_wonder_title {
        font-size: 20px;
        margin-bottom: 10px;
    }
}



.sp_wonder_link_update {
    font-size: 14px;
    display: inline-block;
    margin-left: 10px;
    padding-top: 8px;
}


@media (max-width: 768px) {
    .sp_wonder_link_update {
        display: none;
    }
}


@media (max-width: 768px) {
    .wonder_link_expires {
        display: none;
    }
}



@media (max-width: 768px) {
    .nav-container {
        flex-direction: column;
        align-items: center;
    }

    .logo-container {
        align-items: center;
        padding-top: 10px;
    }

    .nav-links {
        display: flex;
        justify-content: center;
        margin-top: 10px;
        width: 30%;
    }

        .nav-links a {
            margin-left: 15px;
            margin-right: 15px;
            color: #888b88;
        }
}


@media (max-width: 768px) {
    .tagline {
        display: none;
    }

    #copyright-text {
        display: none;
    }
}


.nav-links a {
    text-decoration: none;
    margin-left: 15px;
    font-size: 16px;
    color: #888b88;
}



    .nav-links a:hover {
        color: #ffffff;
    }





@media (max-width: 768px) {
    #lnkLogin {
        padding-top: 10px;
    }
}


.button-sign-up {
    display: inline-block;
    background-color: #914caf; /* #cd30c0; */
    color: #ffffff !important;
    padding: 8px 10px;
    border-radius: 12px;
    text-decoration: none;
    font-size: 1rem;
    font-weight: bold;
    text-align: center;
    transition: background-color 0.3s ease;
}


header {
    text-align: center;
    padding: 50px;
    background-color: #1e1e1e;
}

    header h1 {
        font-size: 36px;
    }


.search-container {
    display: flex;
    justify-content: center;
    margin: 50px auto 20px auto;
    width: 60%;
}


.search-input {
    padding: 10px;
    font-size: 16px;
    border: 1px solid #444;
    border-right: none;
    border-radius: 4px 0 0 4px;
    background-color: #2c2c2c;
    color: #ffffff;
    height: 42px;
    flex-grow: 1;
    box-sizing: border-box;
}


.search-button {
    padding: 0;
    font-size: 16px;
    border: 1px solid #444;
    background-color: #cd30c0;
    color: #ffffff;
    border-radius: 0 4px 4px 0;
    height: 42px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

    .search-button:hover {
        background-color: #555;
    }

.search-results {
    display: flex;
    justify-content: center;
    width: 100%;
    color: #888b88;
}

.upgrade-info {
    display: flex;
    justify-content: center;
    width: 100%;
    color: #df4747;
    margin-top: 40px;
}

.upgrade-link {
    color: #ff2929;
    font-weight: bold;
    text-decoration: none;
}


.alert {
    display: flex;
    align-items: center;
    background-color: #efabb1;
    color: #721c24;
    padding: 15px;
    border: 1px solid #efabb1;
    border-radius: 5px;
    width: 90%;
    max-width: 600px;
    font-size: 1rem;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}


.alert-icon {
    margin-right: 10px;
    font-size: 1.5rem;
}


.sp1 {
    display: inline-block;
}

.linkUpgrade {
    text-decoration: none;
    display: block;
    padding: 8px 10px;
    background-color: #cd30c0;
    color: #ffffff;
    border-radius: 5px;
    font-size: 1rem;
    font-weight: bold;
    text-align: center;
    transition: background-color 0.3s ease;
}



@media (max-width: 768px) {
    .alert {
        font-size: 0.9rem;
        padding: 10px;
    }

    .alert-icon {
        font-size: 1.2rem;
    }

    .sp1 {
        display: none;
    }
}


@media (max-width: 768px) {
    .search-container {
        width: 96%;
        flex-direction: column;
    }

    .search-input {
        width: 100%;
        margin-bottom: 10px;
    }

    .search-button {
        width: 100%;
    }
}


.content {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}


.card {
    position: relative;
    width: 100%;
    max-width: 250px;
    /* padding: 20px; */
    padding: 20px 10px 5px 10px;
    background-color: #1e1e1e;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
    margin: 0;
}

    .card img {
        width: 100%;
        height: 200px;
        object-fit: cover;
        display: block;
    }

    .card a {
        text-decoration: none;
    }

        .card a p {
            padding: 10px;
            min-height: 30px;
            margin: 0;
            font-family: Arial, sans-serif;
            font-size: 14px;
            color: #e0e0e0;
        }


.favorite-icon {
    position: absolute;
    top: 30px;
    right: 30px;
    font-size: 24px;
    color: red;
    z-index: 2;
}

    .favorite-icon:hover {
        transform: scale(1.1);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    }


.video-duration {
    position: absolute;
    top: 180px;
    right: 20px;
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 5px 10px;
    font-size: 14px;
    border-radius: 5px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    z-index: 1;
}

@media (max-width: 768px) {
    .card {
        max-width: 300px;
        margin: 0 auto;
    }

    .content {
        grid-template-columns: 1fr;
    }
}


.card-footer {
    display: flex;
    justify-content: space-between; /* Asegura que los elementos se separen */
    align-items: center;
    height: 20px;
    width: 100%;
    /* background-color: rgb(64, 66, 66);  */
    /* padding: 5px 10px; */
    color: white;
    font-size: 1rem;
    flex-wrap: nowrap; /* Evita que los elementos salten de línea */
}

    .card-footer span {
        flex-grow: 1; /* Ocupa todo el espacio restante */
        white-space: nowrap; /* Evita que el texto haga salto de línea */
    }

.open-icon {
    color: white;
    text-decoration: none;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
}



footer {
    background-color: #1e1e1e;
    color: #b0bec5;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer-links a {
    color: #888b88;
    margin: 0 10px;
    text-decoration: none;
}

    .footer-links a:hover {
        text-decoration: underline;
    }

.top-button {
    background-color: #b054e1;
    color: white;
    padding: 10px;
    border: 2px solid white;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .top-button i {
        font-size: 24px;
    }